Find products by barcode or SKU for integration (POST, explicit winery)
POST
/v2/product-catalog/products/winery/{wineryId}/lookup
const url = 'https://api-crm-staging.divinea.com/api/v2/product-catalog/products/winery/example/lookup';const options = { method: 'POST', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"code":"example","posOnly":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api-crm-staging.divinea.com/api/v2/product-catalog/products/winery/example/lookup \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "code": "example", "posOnly": true }'Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Path Parameters
Sezione intitolata “Path Parameters”wineryId
required
string format: uuid
WineryId
Request Body
Sezione intitolata “Request Body”Request
Media typeapplication/json
LookupByCodeRequest
object
code
string
posOnly
boolean
Examplegenerated
{ "code": "example", "posOnly": true}Responses
Sezione intitolata “Responses”OK
Media type*/*
Array<object>
ProductCatalogProductobject
active
boolean
attributeAssignments
Array<object>
ProductAttributeAssignmentobject
attributeId
integer format: int64
attributeValueId
integer format: int64
createdAt
string format: date-time
id
integer format: int64
productId
string format: uuid
barcode
string
categories
Array<object>
ProductCatalogCategoryobject
categoryId
ProductCatalogCategoryId
object
id
string format: uuid
descriptionTranslationId
string
descriptionTranslations
object
key
additional properties
string
id
string format: uuid
nameEn
string
nameIt
string
nameTranslationId
string
nameTranslations
object
key
additional properties
string
parentCategoryId
string format: uuid
priority
integer format: int32
productsCount
integer format: int32
wineryId
string format: uuid
channels
Array<object>
ProductCatalogChannelobject
active
boolean
id
string format: uuid
maxUnitsPerOrder
integer format: int32
priceCents
integer format: int64
wineryChannelId
string format: uuid
defaultVatRate
number
descriptionEn
string
descriptionIt
string
descriptionTranslationId
string
descriptionTranslations
object
key
additional properties
string
displayOrder
integer format: int32
displayStatus
string
files
Array<object>
Map«string,object»object
key
additional properties
object
fiscalNatureId
string format: uuid
hasVariants
boolean
id
string format: uuid
inventoryQuantity
integer format: int32
inventoryTrackingActive
boolean
isBundle
boolean
isGiftCard
boolean
metaDescriptionTranslationId
string
metaTitleTranslationId
string
metadata
Array<object>
ProductMetadataobject
active
boolean
id
integer format: int64
metadataName
string
metadataValue
string
productId
string format: uuid
updatedAt
string format: date-time
validityFrom
string format: date
validityTo
string format: date
nameEn
string
nameIt
string
nameTranslationId
string
nameTranslations
object
key
additional properties
string
orderingAll
integer format: int32
orderingCategory
integer format: int32
pointOfSaleWineSuiteId
string format: uuid
posNameTranslationId
string
posNameTranslations
object
key
additional properties
string
priceCents
integer format: int64
priceCurrency
string
productId
string format: uuid
publishedAt
string format: date-time
shortDescriptionTranslationId
string
showPos
boolean
showWebsite
boolean
sku
string
status
string
typeId
string
unitsPerCase
integer format: int32
validityFrom
string format: date
validityTo
string format: date
variantCount
integer format: int32
variantMasterId
string format: uuid
variantMinPriceCents
integer format: int64
weight
number format: double
wineryId
string format: uuid